%define rel 2

%define pclo 1

%{?_with_pclo: %global pclo 1}
%{?_without_pclo: %global pclo 0}

%if %pclo
%define release %mkrel %rel
%else
%define distinitials           mdk 
%define distversion %(rpm -qf --qf='%{VERSION}' /etc/mandrake-release)
%define disttag %{distinitials}%{distversion}
%define release %rel.%disttag.mde
%endif

Summary: GFCE Ultra Nintendo Emulator frontend 
Name: gfceu
Version: 0.6.0
Release: %release
License: GPL
Group: Emulators
Source0: http://dietschnitzel.com/gfceu/%name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://dietschnitzel.com/gfceu/
Requires: python pygtk2.0 pygtk2.0-libglade gtk+2.0
Requires: fceu aoss

%description
GFCE Ultra is an intuitive interface for the popular Nintendo Emulator, FCE Ultra. It is designed for the GNOME desktop, and allows the user to easily play NES ROM images. Gfceu sports a number of features, including: 
Network play
Custom input configuration
Fullscreen support
OpenGL support
Sound support
High compatibility, accurate emulation, and all the power of FCE Ultra!
GNOME FCE Ultra is developed and maintained by Lukas Sabota.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/%name
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -d $RPM_BUILD_ROOT%{_datadir}/applications
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install gfceu $RPM_BUILD_ROOT%{_bindir}/gfceu
install gfceu.glade $RPM_BUILD_ROOT%{_datadir}/%name/gfceu.glade
install gfceu.png $RPM_BUILD_ROOT%{_datadir}/%name/gfceu.png
install gfceu_big.png $RPM_BUILD_ROOT%{_datadir}/%name/gfceu_big.png
install gfceu.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/gfceu.png
install gfceu.1 $RPM_BUILD_ROOT%{_mandir}/man1/gfceu.1
install gfceu.desktop $RPM_BUILD_ROOT%{_datadir}/applications/gfceu.desktop


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GFCE Ultra Nintendo Emulator
Comment=GFCE Ultra Nintendo Emulator frontend
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator
EOF

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert %{name}_big.png -resize 16x16 %buildroot/%{_miconsdir}/%name.png
convert %{name}_big.png  -resize 32x32 %buildroot/%{_iconsdir}/%name.png
convert %{name}_big.png -resize 48x48  %buildroot/%{_liconsdir}/%name.png

%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING ChangeLog TODO
%{_bindir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name/*
%{_datadir}/pixmaps/*.png
#%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Jun 29 2007 Texstar <texstar@gmail.com> 0.6.0-2pclos2007
- add aoss as required dependency 

* Wed Jun 06 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.6.0-1
- 0.6.0
- Rebuild for pclos2007

* Mon Aug 28 2006 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5-1
- Rebuild for mde

